Package org.eclipse.birt.chart.model.attribute.impl

# Class Angle3DImpl

java.lang.Object
org.eclipse.emf.common.notify.impl.BasicNotifierImpl
org.eclipse.emf.ecore.impl.BasicEObjectImpl
org.eclipse.emf.ecore.impl.EObjectImpl
org.eclipse.birt.chart.model.attribute.impl.Angle3DImpl

All Implemented Interfaces:
  `Angle3D`, `IChartObject`, `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`

public class Angle3DImpl extends org.eclipse.emf.ecore.impl.EObjectImpl implements Angle3D
An implementation of the model object 'Angle3 D'.

The following features are implemented:

- `XAngle`
- `YAngle`
- `ZAngle`
- `Type`

## Nested Class Summary

## Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

## Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

## Field Summary

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`ELAST_EOBJECT_FLAG`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

## Method Summary

Modifier and Type
Method
Description
`Angle3D`
`copyInstance()`
A convenient method to get an instance copy.
`static Angle3D`
`create(double x, double y, double z)`
`static Angle3D`
`createDefault(double x, double y, double z)`
`static Angle3D`
`createX(double val)`
`static Angle3D`
`createY(double val)`
`static Angle3D`
`createZ(double val)`
`Object`
`eGet(int featureID, boolean resolve, boolean coreType)`
`boolean`
`eIsSet(int featureID)`
`void`
`eSet(int featureID, Object newValue)`
`void`
`eUnset(int featureID)`
`double`
`getAxisAngle()`
Returns the specific axis angle value if axis type specified, or just returns Zero.
`AngleType`
`getType()`
`double`
`getXAngle()`
`double`
`getYAngle()`
`double`
`getZAngle()`
`boolean`
`isSetType()`
`boolean`
`isSetXAngle()`
`boolean`
`isSetYAngle()`
`boolean`
`isSetZAngle()`
`void`
`set(double x, double y, double z)`
Sets the x,y,z angle in one punch.
`void`
`setType(AngleType newType)`
`void`
`setXAngle(double newXAngle)`
`void`
`setYAngle(double newYAngle)`
`void`
`setZAngle(double newZAngle)`
`String`
`toString()`
`void`
`unsetType()`
`void`
`unsetXAngle()`
`void`
`unsetYAngle()`
`void`
`unsetZAngle()`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Method Details

### create

public static Angle3D create(double x, double y, double z)

Parameters:
  `x` -
  `y` -
  `z` -
Returns:
  instance of `Angle3D`.

### createDefault

public static Angle3D createDefault(double x, double y, double z)

Parameters:
  `x` -
  `y` -
  `z` -
Returns:

### createX

public static Angle3D createX(double val)

Parameters:
  `val` -
Returns:

### createY

public static Angle3D createY(double val)

Parameters:
  `val` -
Returns:

### createZ

public static Angle3D createZ(double val)

Parameters:
  `val` -
Returns:

### getXAngle

public double getXAngle()

Specified by:
  `getXAngle` in interface `Angle3D`
Returns:
  the value of the 'XAngle' attribute.
See Also:
  - `Angle3D.isSetXAngle()`
  - `Angle3D.unsetXAngle()`
  - `Angle3D.setXAngle(double)`
  - `AttributePackage.getAngle3D_XAngle()`

### setXAngle

public void setXAngle(double newXAngle)

Specified by:
  `setXAngle` in interface `Angle3D`
Parameters:
  `newXAngle` - the new value of the 'XAngle' attribute.
See Also:
  - `Angle3D.isSetXAngle()`
  - `Angle3D.unsetXAngle()`
  - `Angle3D.getXAngle()`

### unsetXAngle

public void unsetXAngle()

Specified by:
  `unsetXAngle` in interface `Angle3D`
See Also:
  - `Angle3D.isSetXAngle()`
  - `Angle3D.getXAngle()`
  - `Angle3D.setXAngle(double)`

### isSetXAngle

public boolean isSetXAngle()

Specified by:
  `isSetXAngle` in interface `Angle3D`
Returns:
  whether the value of the 'XAngle' attribute is set.
See Also:
  - `Angle3D.unsetXAngle()`
  - `Angle3D.getXAngle()`
  - `Angle3D.setXAngle(double)`

### getYAngle

public double getYAngle()

Specified by:
  `getYAngle` in interface `Angle3D`
Returns:
  the value of the 'YAngle' attribute.
See Also:
  - `Angle3D.isSetYAngle()`
  - `Angle3D.unsetYAngle()`
  - `Angle3D.setYAngle(double)`
  - `AttributePackage.getAngle3D_YAngle()`

### setYAngle

public void setYAngle(double newYAngle)

Specified by:
  `setYAngle` in interface `Angle3D`
Parameters:
  `newYAngle` - the new value of the 'YAngle' attribute.
See Also:
  - `Angle3D.isSetYAngle()`
  - `Angle3D.unsetYAngle()`
  - `Angle3D.getYAngle()`

### unsetYAngle

public void unsetYAngle()

Specified by:
  `unsetYAngle` in interface `Angle3D`
See Also:
  - `Angle3D.isSetYAngle()`
  - `Angle3D.getYAngle()`
  - `Angle3D.setYAngle(double)`

### isSetYAngle

public boolean isSetYAngle()

Specified by:
  `isSetYAngle` in interface `Angle3D`
Returns:
  whether the value of the 'YAngle' attribute is set.
See Also:
  - `Angle3D.unsetYAngle()`
  - `Angle3D.getYAngle()`
  - `Angle3D.setYAngle(double)`

### getZAngle

public double getZAngle()

Specified by:
  `getZAngle` in interface `Angle3D`
Returns:
  the value of the 'ZAngle' attribute.
See Also:
  - `Angle3D.isSetZAngle()`
  - `Angle3D.unsetZAngle()`
  - `Angle3D.setZAngle(double)`
  - `AttributePackage.getAngle3D_ZAngle()`

### setZAngle

public void setZAngle(double newZAngle)

Specified by:
  `setZAngle` in interface `Angle3D`
Parameters:
  `newZAngle` - the new value of the 'ZAngle' attribute.
See Also:
  - `Angle3D.isSetZAngle()`
  - `Angle3D.unsetZAngle()`
  - `Angle3D.getZAngle()`

### unsetZAngle

public void unsetZAngle()

Specified by:
  `unsetZAngle` in interface `Angle3D`
See Also:
  - `Angle3D.isSetZAngle()`
  - `Angle3D.getZAngle()`
  - `Angle3D.setZAngle(double)`

### isSetZAngle

public boolean isSetZAngle()

Specified by:
  `isSetZAngle` in interface `Angle3D`
Returns:
  whether the value of the 'ZAngle' attribute is set.
See Also:
  - `Angle3D.unsetZAngle()`
  - `Angle3D.getZAngle()`
  - `Angle3D.setZAngle(double)`

### getType

public AngleType getType()

Specified by:
  `getType` in interface `Angle3D`
Returns:
  the value of the 'Type' attribute.
See Also:
  - `AngleType`
  - `Angle3D.isSetType()`
  - `Angle3D.unsetType()`
  - `Angle3D.setType(AngleType)`
  - `AttributePackage.getAngle3D_Type()`

### setType

public void setType(AngleType newType)

Specified by:
  `setType` in interface `Angle3D`
Parameters:
  `newType` - the new value of the 'Type' attribute.
See Also:
  - `AngleType`
  - `Angle3D.isSetType()`
  - `Angle3D.unsetType()`
  - `Angle3D.getType()`

### unsetType

public void unsetType()

Specified by:
  `unsetType` in interface `Angle3D`
See Also:
  - `Angle3D.isSetType()`
  - `Angle3D.getType()`
  - `Angle3D.setType(AngleType)`

### isSetType

public boolean isSetType()

Specified by:
  `isSetType` in interface `Angle3D`
Returns:
  whether the value of the 'Type' attribute is set.
See Also:
  - `Angle3D.unsetType()`
  - `Angle3D.getType()`
  - `Angle3D.setType(AngleType)`

### eGet

public Object eGet(int featureID, boolean resolve, boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

public void eSet(int featureID, Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

public String toString()

Overrides:
  `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### getAxisAngle

public double getAxisAngle()
Description copied from interface: `Angle3D`
Returns the specific axis angle value if axis type specified, or just returns Zero.

Specified by:
  `getAxisAngle` in interface `Angle3D`
Returns:

### set

public void set(double x, double y, double z)
Description copied from interface: `Angle3D`
Sets the x,y,z angle in one punch.

Specified by:
  `set` in interface `Angle3D`

### copyInstance

public Angle3D copyInstance()
A convenient method to get an instance copy. This is much faster than the ECoreUtil.copy().

Specified by:
  `copyInstance` in interface `Angle3D`
Specified by:
  `copyInstance` in interface `IChartObject`